Subject: Re: bug#17362: 24.4.50; inconsistent key notation: `ESC' vs `<ESC>'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Apr 2014 20:51:57 +0300

> Date: Tue, 29 Apr 2014 10:27:03 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > Eli, are you saying that you have replaced <delete>, <backspace>, etc.
> > > everywhere with <DELETE>, <BACKSPACE>, etc., or that you think it is
> > > appropriate to do so?
> > 
> > Only for BACKSPACE (and, of course, only in the manual).  It's still
> > "Delete" (because that's the label on the key).  ESC and TAB and SPC
> > and RET were always in caps, so they stay in caps.
> 
> <Delete> is not how Emacs refers to the key in help.  And neither is
> <BACKSPACE>.  Emacs help calls these <delete> and <backspace>, AFAICT.

I'm not talking about help, I'm only talking about the manual.  The
bug report was about inconsistencies in the manual.  At least that's
how I perceived it, and that's the only issue I set out to fix.

> > > Seems like that would be a big change from the past and a change from
> > > how Emacs itself communicates with users.  AFAIK, Emacs writes <delete>
> > > for the Delete key etc.  The rule for function keys and pseudo function
> > > keys has always been to use lowercase (in angle brackets), no?
> > 
> > Yes, because they are symbols.  I did nothing about symbols, of
> > course.
> 
> What does that mean?

Which part is unclear?

> Emacs writes <backspace>.  Why write <BACKSPACE>?  Emacs writes
> <delete>.  Why write Delete or <Delete>?

See the guidelines I used to decide on names and capitalization, I
tried to explain why I choose this or that convention.

> My point is that the manual should write key sequences the same way
> Emacs writes them interactively, e.g., in help output.  It does not
> refer to a <BACKSPACE> key or a Backspace key or a <CNTL>, <Control>,
> Control, or Ctrl key.  Emacs help writes <backspace> and C- in key
> sequences.

If that's the issue, then (a) it was nowhere clear from your original
bug report, and (b) I will have nothing to do with it, sorry.  I don't
care enough about it to work on that.

I only fixed inconsistencies in the manual, without any relation to
what Emacs says in help mode.

> Do you even agree that key sequences should be written the same way
> in the manual as in the rest of Emacs?  Do agree that the manual,
> like the rest of Emacs, should write <C-left> and not C-<left>,
> <C-home> and not C-<Home>?

Perhaps it could be nice (although it never bothered me), but I think
it's close to impossible now, due to various historical reasons.  In
any case, I'm not going to do anything about this, someone else will
have to step forward.  I found your complaint about inconsistencies in
the manual justified, and I fixed that; my job here is now done.